<mamecheat version="1">

  <cheat desc="Invincibility (VS CPU Mode)">
    <script state="on">
      <action>temp0 =maincpu.mb@720B</action>
      <action>temp1 =maincpu.mb@721F</action>
      <action>temp2 =maincpu.mb@7233</action>
      <action>temp3 =maincpu.mb@7247</action>
      <action>temp4 =maincpu.mb@725B</action>
      <action>temp5 =maincpu.mb@7269</action>
    </script>
    <script state="run">
      <action>maincpu.mb@720B=C3</action>
      <action>maincpu.mb@721F=C3</action>
      <action>maincpu.mb@7233=C3</action>
      <action>maincpu.mb@7247=C3</action>
      <action>maincpu.mb@725B=C3</action>
      <action>maincpu.mb@7269=C3</action>
    </script>
    <script state="off">
      <action>maincpu.mb@720B=temp0 </action>
      <action>maincpu.mb@721F=temp1 </action>
      <action>maincpu.mb@7233=temp2 </action>
      <action>maincpu.mb@7247=temp3 </action>
      <action>maincpu.mb@725B=temp4 </action>
      <action>maincpu.mb@7269=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Player Energy">
    <script state="run">
      <action>maincpu.pb@E75C=00</action>
    </script>
  </cheat>

  <cheat desc="Drain all Player Energy Now!">
    <script state="on">
      <action>maincpu.pb@E75C=80</action>
    </script>
  </cheat>

  <cheat desc="Infinite Enemy Energy">
    <script state="run">
      <action>maincpu.pb@E7FC=00</action>
    </script>
  </cheat>

  <cheat desc="Drain all Enemy Energy Now!">
    <script state="on">
      <action>maincpu.pb@E7FC=80</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Single">
    <script state="run">
      <action>maincpu.pb@E03D=00|(maincpu.pb@E03D BAND ~10)</action>
      <action>maincpu.pb@E03D=00|(maincpu.pb@E03D BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Starting Round PL1">
    <parameter min="1" max="9" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E007==00)">maincpu.pb@E007=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Dual PL1">
    <script state="run">
      <action>maincpu.pb@E0C0=00|(maincpu.pb@E0C0 BAND ~10)</action>
      <action>maincpu.pb@E0C0=00|(maincpu.pb@E0C0 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round PL2">
    <parameter min="1" max="9" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E00E==00)">maincpu.pb@E00E=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Dual PL2">
    <script state="run">
      <action>maincpu.pb@E0C1=00|(maincpu.pb@E0C1 BAND ~10)</action>
      <action>maincpu.pb@E0C1=00|(maincpu.pb@E0C1 BAND ~20)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
